Loading...
Searching...
No Matches
Dune::cpgrid::FaceVerticesContainerProxy Class Reference

A class representing the face to vertices mapping similar to the way done in UnstructuredGrid. More...

`#include <GridHelpers.hpp>`

Inheritance diagram for Dune::cpgrid::FaceVerticesContainerProxy:

## Public Member Functions

| FaceVerticesContainerProxy (const Dune::CpGrid *grid)
| Constructor.
Public Member Functions inherited from Dune::cpgrid::LocalIndexContainerProxy<&Dune::CpGrid::faceVertex, &Dune::CpGrid::numFaceVertices >
| LocalIndexContainerProxy (const Dune::CpGrid *grid)
| Constructor.
row_type | operator[] (int cell_index) const
| Get the mapping for a cell.
int | operator() (int cell_index, int local_index) const
| Get a face associated with a cell.

## Additional Inherited Members

Public Types inherited from Dune::cpgrid::LocalIndexContainerProxy<&Dune::CpGrid::faceVertex, &Dune::CpGrid::numFaceVertices >
typedef LocalIndexProxy< AccessMethod, SizeMethod > | row_type

## Detailed Description

A class representing the face to vertices mapping similar to the way done in UnstructuredGrid.

## Constructor & Destructor Documentation

## FaceVerticesContainerProxy()

Dune::cpgrid::FaceVerticesContainerProxy::FaceVerticesContainerProxy | ( | const Dune::CpGrid * | grid | ) |

inline explicit

Constructor.

Parameters

  grid | The grid whose information we represent.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/GridHelpers.hpp